Delete Webhook

DELETE
/api/v1/webhooks/{subscriptionId}

Delete a webhook subscription

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

subscriptionId*string

Subscription UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

idempotency-key*string

Required for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response
Example Request
curl -X DELETE 'https://api.sandbox.stables.money/api/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{}